curl --request GET \
--url https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Frankie-CustomerID: <x-frankie-customerid>",
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
req.Header.Add("X-Frankie-CustomerID", "<x-frankie-customerid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses")
.header("api_key", "<api-key>")
.header("X-Frankie-CustomerID", "<x-frankie-customerid>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_key"] = '<api-key>'
request["X-Frankie-CustomerID"] = '<x-frankie-customerid>'
response = http.request(request)
puts response.read_body{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"documentId": "92de15f64-5717-4562-b3fc-2c963f6665a7",
"analyses": [
{
"analysisId": "01K3G4CCQ3DY3B1413S19M9QW1",
"attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "VALID",
"isConfirmed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"documentInformation": {
"type": "TRUST_DOCUMENT",
"trust": {
"name": {
"value": "<string>",
"referenceIds": [
"<string>"
]
},
"establishment": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
},
"country": {
"value": "<string>",
"referenceIds": [
"<string>"
]
},
"subdivision": {
"value": "<string>",
"referenceIds": [
"<string>"
]
}
},
"certification": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
}
},
"execution": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
}
},
"linkedIndividuals": {},
"linkedOrganizations": {},
"linkedUnknownEntities": {},
"settlors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"trustees": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"type": {
"provided": "DISCRETIONARY",
"detected": "DISCRETIONARY"
},
"typeInformation": {
"type": "DISCRETIONARY",
"discretionary": {
"specifiedBeneficiaries": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"generalBeneficiaries": [
{
"value": "<string>",
"referenceIds": [
"<string>"
]
}
],
"appointors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"protectors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
]
}
}
}
},
"references": {},
"errors": [
{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
]
}
]
}
]
}Get trust analyses results for a document
Retrieve all trust analyses results for a given document belonging to an organization entity. Both currently valid (VALID) and stale (STALE) analyses are returned so that consumers can display analysis history and detect invalidation. Consumers that only want current results can filter on status=VALID.
curl --request GET \
--url https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api-key>'import requests
url = "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses"
headers = {
"api_key": "<api-key>",
"X-Frankie-CustomerID": "<x-frankie-customerid>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {api_key: '<api-key>', 'X-Frankie-CustomerID': '<x-frankie-customerid>'}
};
fetch('https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Frankie-CustomerID: <x-frankie-customerid>",
"api_key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_key", "<api-key>")
req.Header.Add("X-Frankie-CustomerID", "<x-frankie-customerid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses")
.header("api_key", "<api-key>")
.header("X-Frankie-CustomerID", "<x-frankie-customerid>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.frankie.one/v2/organizations/{entityId}/documents/{documentId}/analyses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_key"] = '<api-key>'
request["X-Frankie-CustomerID"] = '<x-frankie-customerid>'
response = http.request(request)
puts response.read_body{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"documentId": "92de15f64-5717-4562-b3fc-2c963f6665a7",
"analyses": [
{
"analysisId": "01K3G4CCQ3DY3B1413S19M9QW1",
"attachmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "VALID",
"isConfirmed": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"documentInformation": {
"type": "TRUST_DOCUMENT",
"trust": {
"name": {
"value": "<string>",
"referenceIds": [
"<string>"
]
},
"establishment": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
},
"country": {
"value": "<string>",
"referenceIds": [
"<string>"
]
},
"subdivision": {
"value": "<string>",
"referenceIds": [
"<string>"
]
}
},
"certification": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
}
},
"execution": {
"date": {
"year": "1990",
"month": "03",
"day": "27",
"unstructured": "12 Rajab 1445 AH",
"type": "GREGORIAN",
"normalized": "1990-03-31",
"referenceIds": [
"<string>"
]
}
},
"linkedIndividuals": {},
"linkedOrganizations": {},
"linkedUnknownEntities": {},
"settlors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"trustees": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"type": {
"provided": "DISCRETIONARY",
"detected": "DISCRETIONARY"
},
"typeInformation": {
"type": "DISCRETIONARY",
"discretionary": {
"specifiedBeneficiaries": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"generalBeneficiaries": [
{
"value": "<string>",
"referenceIds": [
"<string>"
]
}
],
"appointors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
],
"protectors": [
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"entityType": "INDIVIDUAL",
"referenceIds": [
"<string>"
]
}
]
}
}
}
},
"references": {},
"errors": [
{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
]
}
]
}
]
}Headers
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Path Parameters
Response
OK
Entities are assigned a FrankieOne auto-generated UUID to ensure global uniqueness, represented as entityId. The entityId allows for precise modification when required. To modify an entity, set the entityId of the entity you wish to update in an update request.
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Was this page helpful?